> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Flash 2 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on PIC
```
#include <stdint.h>

sbit FLASH_2_HLD at RC0_bit;
sbit FLASH_2_HLD_DIR at TRISE1_bit;
sbit FLASH_2_CS at RE0_bit;
sbit FLASH_2_CS_DIR at TRISE0_bit;
sbit FLASH_2_WP at RC1_bit;
sbit FLASH_2_WP_DIR at TRISC1_bit;

void setup()
{

     FLASH_2_HLD_DIR = 0;
     FLASH_2_WP_DIR  = 0;
     FLASH_2_CS_DIR  = 0;

     SPI1_Init_Advanced( _SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH );
     Delay_ms(300);

}

```

```
// Main function

int main(void)
{
    setup();

    flash_2_init();
    Delay_ms(300);
    
    while(1)
    {}

}
```

